---
title: Delete a live input
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Stream](https://developers.cloudflare.com/api/go/resources/stream)

[Live Inputs](https://developers.cloudflare.com/api/go/resources/stream/subresources/live_inputs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a live input

client.Stream.LiveInputs.Delete(ctx, liveInputIdentifier, body) error

DELETE/accounts/{account\_id}/stream/live\_inputs/{live\_input\_identifier}

Permanently delete a live input, making it inaccessible and blocking current and future broadcasts to it. Existing recordings will be retained.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write`

##### ParametersExpand Collapse

liveInputIdentifier string

A unique identifier for a live input.

maxLength32

[Link to this property](<#(resource)%20stream.live_inputs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20live_input_identifier%20%3E%20(schema)>)

<details>

<summary>

body LiveInputDeleteParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20stream.live_inputs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.live_inputs%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

### Delete a live input

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.Stream.LiveInputs.Delete(
    context.TODO(),
    "66be4bf738797e01e1fca35a7bdecdcd",
    stream.LiveInputDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
```

200 example

```
{}
```

##### Returns Examples

200 example

```
{}
```